# Interface SchemaFuture

public interface SchemaFuture

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Schema`
  `getSchema()`
  `RuntimeException`
  `unwrapException(RuntimeException e)`

- ## Method Details

  - ### getSchema

    Schema getSchema() throws IncorrectSchemaException, SAXException, IOException
    Throws:
      `IncorrectSchemaException`
      `SAXException`
      `IOException`

  - ### unwrapException

    RuntimeException unwrapException(RuntimeException e) throws SAXException, IOException, IncorrectSchemaException
    Throws:
      `SAXException`
      `IOException`
      `IncorrectSchemaException`